Bug 133074 - Unable to switch input language from russian to english in firstboot
Unable to switch input language from russian to english in firstboot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks: FC5Blocker Russian
  Show dependency treegraph
 
Reported: 2004-09-21 10:52 EDT by Leonid Kanter
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 17:26:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2004-09-21 10:52:53 EDT
Description of problem:

I selected Russian language for installation and Russian keyboard
layout. Installed OK, but in firstboot I was unable to create user
because it was impossible to switch from russian input to english in
username entry field. username and password must be entered in english
only. Traditional layout switch (l_shift+r_shift) doesn't work in this
screen. I had to skip this step and add used later from console.

Version-Release number of selected component (if applicable):

firstboot-1.3.23-1.noarch.rpm

How reproducible:

always

Steps to Reproduce:
1. Select Russian language, Russian keyboard in Anaconda, install test2
2. reboot, go to "add user" step
3. try to enter username
  
Actual results:

There will be only cyrillic characters in input field, pressing dual
shift doesn't work

Expected results:

Default input language for username and password must be english

Additional info:

In gdm window everything is ok: default is English, dual shift switch
to Russian.
Comment 1 Leonid Kanter 2004-09-21 15:32:31 EDT
ps show following:
 2422 ?        Z      0:00 [setxkbmap] <defunct> 
 2424 ?        Z      0:00 [setxkbmap] <defunct> 
 2425 ?        Z      0:00 [setxkbmap] <defunct> 
 2426 ?        Z      0:00 [setxkbmap] <defunct> 
 2427 ?        S      0:00 /bin/bash /etc/rc5.d/S95firstboot start 
 2429 ?        Z      0:00 [setxkbmap] <defunct> 
 2430 ?        Z      0:00 [setxkbmap] <defunct> 
 2431 ?        Z      0:00 [setxkbmap] <defunct> 
 2432 ?        Z      0:00 [setxkbmap] <defunct> 
 2433 ?        Z      0:00 [setxkbmap] <defunct> 
 2434 ?        Z      0:00 [setxkbmap] <defunct> 
 2435 ?        Z      0:00 [setxkbmap] <defunct> 
 2436 ?        Z      0:00 [setxkbmap] <defunct> 
 2442 ?        S      0:00 /bin/sh /usr/sbin/firstboot 
 2443 ?        Z      0:00 [setxkbmap] <defunct> 
 2444 ?        Z      0:00 [setxkbmap] <defunct> 
 2445 ?        Z      0:00 [setxkbmap] <defunct> 
 2446 ?        Z      0:00 [setxkbmap] <defunct> 
 2447 ?        Z      0:00 [setxkbmap] <defunct> 
 2448 ?        Z      0:00 [setxkbmap] <defunct> 
 2449 ?        Z      0:00 [setxkbmap] <defunct> 
 2450 ?        S      0:34 /usr/bin/python2
/usr/share/firstboot/firstboot.py 
 2453 ?        S      0:00 --display=:1 
 2458 ?        S      0:01 /usr/libexec/gconfd-2 5 

Comment 2 Chris Lumens 2005-10-28 12:05:42 EDT
The many dead setxkbmap processes are an rhgb bug and don't actually have
anything to do with this, though it does look related.  The real problem here is
with the keyboard getting initialized before the firstboot modules are loaded,
but only if firstboot started out of rhgb.  This is fixed in Rawhide and will be
fixed in the next release.

A workaround would be to remove "rhgb" from your boot parameters.
Comment 3 Leonid Kanter 2006-02-01 09:37:50 EST
This problem is still present in FC5 test2
Comment 4 Chris Lumens 2006-02-10 13:49:27 EST
This looks related to bug 176002 and bug 173267.  Under rhgb we're using the
system X config with the mode switching XkbOptions added but it's not doing
anything - no light flashing, no different keymap, nothing.  This line appears
in /etc/rhgb/tmp/xorg.log though:

(WW) Couldn't load XKB keymap, falling back to pre-Xkb keymap

Thoughts?
Comment 5 Chris Lumens 2006-02-24 17:47:13 EST
Please test tomorrow's Rawhide, as this should be working again.

Note You need to log in before you can comment on or make changes to this bug.